- Qt 6.7
- Qt Quick 3D
- C++ Classes
- QSSGRenderContextInterface
- Qt Quick 3D | Commercial or GPLv3

# QSSGRenderContextInterface Class

Aggregate class for sub-parts of the QtQuick3D rendering engine. More...

Header: | #include <QSSGRenderContextInterface>
Since: | Qt 6.7

- List of all members, including inherited members

## Public Functions

const std::unique_ptr<QSSGRhiContext> & | rhiContext() const

## Detailed Description

The QSSGRenderContextInterface, and the objects owned by it are always per-QQuickWindow, and so per scenegraph render thread. Some resources might be shared, like the shader library, but that's all take care of internally by the QSSGRenderContextInterface.

Note: Some sub-components might not be exposed as semi-public, or their use might require private headers to be used. In those cases it's likely their APIs have a high likelihood of being changed in the near future. One the APIs for those class have stabilized they will be made available with the same guarantee as the rest of the semi-public APIs.

## Member Function Documentation

### const std::unique_ptr<QSSGRhiContext> &QSSGRenderContextInterface::rhiContext() const

Returns the context object that wraps QRhi-related settings and helper functionality.